#determines the behavior of an enchanter



#tag all affacted entities
execute at @e[tag=enchanter] run tag @e[tag=!enchanter,tag=!no_target,type=!player,type=!ender_dragon,type=!area_effect_cloud,type=!armor_stand,type=!minecraft:arrow,type=!minecraft:boat,type=!minecraft:command_block_minecart,type=!minecraft:dragon_fireball,type=!egg,type=!minecraft:end_crystal,type=!minecraft:evoker_fangs,type=!minecraft:experience_bottle,type=!minecraft:experience_orb,type=!minecraft:eye_of_ender,type=!minecraft:falling_block,type=!minecraft:fireball,type=!minecraft:firework_rocket,type=!minecraft:fishing_bobber,type=!minecraft:furnace_minecart,type=!minecraft:hopper_minecart,type=!item,type=!item_frame,type=!minecraft:leash_knot,type=!lightning_bolt,type=!minecraft:llama_spit,type=!minecraft:marker,type=!minecraft:minecart,type=!minecraft:painting,type=!minecraft:potion,type=!minecraft:shulker_bullet,type=!minecraft:small_fireball,type=!minecraft:snowball,type=!minecraft:spawner_minecart,type=!minecraft:spectral_arrow,type=!minecraft:tnt,type=!minecraft:tnt_minecart,type=!minecraft:trident,type=!minecraft:wither_skull,distance=0.1..15] add enchanted


#make some mobs permantly enchanted in hard mode
tag @e[tag=permanently_enchanted] add enchanted


#add the enchanting glint to enchanted mobs
execute as @e[tag=enchanted] run data modify entity @s ArmorItems[3].tag set value {Enchantments:[{id:"minecraft:efficiency",lvl:1s}]}
execute as @e[tag=!enchanted,tag=!enchanter,tag=girini] run data modify entity @s ArmorItems[3].tag set value {Enchantments:[]}
 
 
#ambient particle effects
execute at @e[tag=enchanter] run particle minecraft:portal ~ ~0.75 ~ 0 0.75 0 1 1
execute at @e[tag=enchanter] if entity @e[tag=enchanted,distance=0.1..15] run particle minecraft:entity_effect ~ ~2.3 ~ 0.478 0.875 1 0.9 0 force
execute at @e[tag=enchanted] run particle minecraft:entity_effect ~ ~1 ~ 0.478 0.875 1 0.9 0 normal
scoreboard players add @e[tag=enchanter] time 1
execute at @e[tag=enchanter,scores={time=5..}] if entity @e[tag=enchanted] run function ercerus:enchanters/enchanting_effect
scoreboard players set @e[tag=enchanter,scores={time=5..}] time 0


#apply status effects onto itself and other allied mobs
effect give @e[tag=enchanted] minecraft:strength 1 1 true
effect give @e[tag=enchanter] minecraft:strength 1 1 true
effect give @e[tag=enchanted] minecraft:resistance 1 1 true
effect give @e[tag=enchanter] minecraft:resistance 1 1 true
effect give @e[tag=enchanted,tag=!strong_bular] minecraft:speed 1 1 true
effect give @e[tag=enchanted,tag=strong_bular] minecraft:speed 1 0 true
effect give @e[tag=enchanter] minecraft:speed 1 0 true


#cleanup
tag @e[tag=enchanted] remove enchanted