#inferno staff


execute at @p[scores={rightClick=1..},nbt={SelectedItem:{tag:{display:{Name:'{"text":"Inferno Staff","italic":"false","color":"#e940eb"}'}}}}] run tag @p add inferno_staff


#normal right click
execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=0}] unless entity @e[distance=..10,tag=affected] run playsound minecraft:block.bamboo.step ambient @p ~ ~ ~ 1000 1
execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=0}] unless entity @e[distance=..10,tag=affected] run particle minecraft:smoke ~ ~1 ~ 0.75 0.5 0.75 0 7
execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=0}] if entity @e[distance=..10,tag=affected] run particle minecraft:lava ~ ~2 ~ 4 2 4 0 10
execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=0}] if entity @e[distance=..10,tag=affected] run particle minecraft:flame ~ ~2 ~ 4 2 4 0 20
execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=0}] if entity @e[distance=..10,tag=affected] run playsound minecraft:block.fire.extinguish ambient @a[distance=..10] ~ ~ ~ 1000 1
execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=0}] at @e[distance=..10,tag=affected,tag=!spawner] run data merge entity @e[limit=1,sort=nearest] {Fire:200s}
execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=0}] at @e[distance=..10,tag=affected,tag=!spawner] run particle minecraft:flame ~ ~1 ~ 0.5 0.75 0.5 0.01 15
execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=0}] at @e[distance=..10,tag=spawner] run particle minecraft:smoke ~ ~1.5 ~ 0.3 0.6 0.3 0.04 50 force


#sneak right click
execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=1..}] positioned ~ ~0.6 ~ run summon minecraft:fireball ^ ^ ^2 {ExplosionPower:2,Tags:[inferno_staff]}
execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=1..}] positioned ~ ~0.6 ~ run particle minecraft:smoke ^ ^ ^2 0.4 0.4 0.4 0.025 50
execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=1..}] run playsound minecraft:entity.blaze.shoot ambient @p


#sneak right click with auto shoot
#execute as @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=1..}] rotated as @s in minecraft:overworld positioned 0 0 0 align xyz run summon minecraft:armor_stand ^ ^ ^1 {Invulnerable:1b,NoGravity:1b,Tags:["aim"]}
#execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=1..}] run summon minecraft:fireball ^ ^1 ^1.5 {ExplosionPower:1,Tags:["inferno_staff"]}
#execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=1..}] positioned ^ ^1 ^1.5 as @e[type=fireball,distance=..1,tag=inferno_staff] in minecraft:overworld positioned 0 0 0 store result score @s MotionX run data get entity @e[tag=aim,limit=1] Pos[0] 1000
#execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=1..}] positioned ^ ^1 ^1.5 as @e[type=fireball,distance=..1,tag=inferno_staff] in minecraft:overworld positioned 0 0 0 store result score @s MotionY run data get entity @e[tag=aim,limit=1] Pos[1] 1000
#execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=1..}] positioned ^ ^1 ^1.5 as @e[type=fireball,distance=..1,tag=inferno_staff] in minecraft:overworld positioned 0 0 0 store result score @s MotionZ run data get entity @e[tag=aim,limit=1] Pos[2] 1000
#kill @e[tag=aim]
#execute as @e[type=fireball,tag=inferno_staff] store result entity @s Motion[0] double 0.002 run scoreboard players get @s MotionX
#execute as @e[type=fireball,tag=inferno_staff] store result entity @s Motion[1] double 0.002 run scoreboard players get @s MotionY
#execute as @e[type=fireball,tag=inferno_staff] store result entity @s Motion[2] double 0.002 run scoreboard players get @s MotionZ

#audio-visual effects for sneak right click with auto shoot
#execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=1..}] positioned ~ ~0.6 ~ run particle minecraft:smoke ^ ^ ^2 0.4 0.4 0.4 0.025 50
#execute at @p[tag=inferno_staff,tag=!inferno_staff_disabled,scores={sneak=1..}] run playsound minecraft:entity.blaze.shoot ambient @p


#disabled staff
execute at @p[tag=inferno_staff,tag=inferno_staff_disabled] run playsound minecraft:block.bamboo.step ambient @p ~ ~ ~ 1000 1
execute at @p[tag=inferno_staff,tag=inferno_staff_disabled] run particle minecraft:smoke ~ ~1 ~ 0.75 0.5 0.75 0 7


#reset
tag @p remove inferno_staff